Holger's Java API

## com.antelmann.webdav
Class WebdavException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.antelmann.webdav.WebdavException

All Implemented Interfaces:
  DetailedString, Serializable

    public class WebdavException

extends IOException
implements DetailedString

Since:
  22.10.2016, 04:59:33
Author:
  holger
See Also:
  Serialized Form

Constructor Summary
`WebdavException(String message, Throwable cause, String detailedMessage)`

Method Summary
`String` `toDetailedString()` provides full details of this instance in a String.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebdavException

    public WebdavException(String message,
                           Throwable cause,
                           String detailedMessage)

Method Detail

### toDetailedString

    public String toDetailedString()

  Description copied from interface: `DetailedString`
  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Specified by:
    `toDetailedString` in interface `DetailedString`
  Returns:
    a (potentially multi-line) String providing full details on this object instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads